Share via


Web Apps - Deploy Workflow Artifacts Slot

Description for Creates the artifacts for web site, or a deployment slot.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/deployWorkflowArtifacts?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

slot
path True

string

Name of the deployment slot. By default, this API returns the production slot.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
appSettings

Application settings of the workflow.

files

Files of the app.

filesToDelete

string[]

Files of the app to delete.

Responses

Name Type Description
200 OK

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Deploys workflow artifacts slot

Sample request

POST https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.Web/sites/testsite2/slots/testsSlot/deployWorkflowArtifacts?api-version=2025-05-01

{
  "appSettings": {
    "eventHub_connectionString": "Endpoint=sb://example.servicebus.windows.net/;SharedAccessKeyName=RootManageSharedAccessKey;SharedAccessKey=EXAMPLE1a2b3c4d5e6fEXAMPLE="
  },
  "files": {
    "connections.json": {
      "managedApiConnections": {},
      "serviceProviderConnections": {
        "eventHub": {
          "displayName": "example1",
          "parameterValues": {
            "connectionString": "@appsetting('eventHub_connectionString')"
          },
          "serviceProvider": {
            "id": "/serviceProviders/eventHub"
          }
        }
      }
    },
    "test1/workflow.json": {
      "definition": {
        "$schema": "https://schema.management.azure.com/providers/Microsoft.Logic/schemas/2016-06-01/workflowdefinition.json#",
        "actions": {},
        "contentVersion": "1.0.0.0",
        "outputs": {},
        "triggers": {
          "When_events_are_available_in_Event_hub": {
            "type": "ServiceProvider",
            "inputs": {
              "parameters": {
                "eventHubName": "test123"
              },
              "serviceProviderConfiguration": {
                "operationId": "receiveEvents",
                "connectionName": "eventHub",
                "serviceProviderId": "/serviceProviders/eventHub"
              }
            },
            "splitOn": "@triggerOutputs()?['body']"
          }
        }
      },
      "kind": "Stateful"
    }
  }
}

Sample response

Definitions

Name Description
DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

WorkflowArtifacts

The workflow filter.

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

WorkflowArtifacts

The workflow filter.

Name Type Description
appSettings

Application settings of the workflow.

files

Files of the app.

filesToDelete

string[]

Files of the app to delete.